{
  "type": "minecraft:crafting_shaped",
  "category": "equipment",
  "key": {
    "M": {
      "item": "blue_skies:moonstone_shard"
    },
    "S": {
      "tag": "forge:rods/wooden"
    },
    "P": {
      "item": "blue_skies:starlit_planks"
    }
  },
  "pattern": [
    "  M",
    " S ",
    "P  "
  ],
  "result": {
    "item": "blue_skies:starlit_spear"
  },
  "show_notification": true
}